List all Files.

Prev Next
Get
/files

List all Files uploaded to the current Controller and their details.

Security
HTTP
Type bearer
Query parameters
checksum
boolean

Whether to calculate checksum of the File(s) and include in the response. If true, response take may long depending on the File sizes.

Defaultfalse
Responses
200

List of Files and their statuses.

Expand All
object

Represents a list of Files and their details.

data
Array of object (File)

List of Files.

object

File details and status.

name
string

Filename.

Exampleappgate-upgrade.img.zip
status
string

Status of the File.

Valid values[ "InProgress", "Ready", "Failed" ]
failureReason
string

The reason of failure.

Example401 Unauthorized
checksum
string

SHA256 checksum of the File.

Example61b14187e9371cecce814f15cf1d85fbd389b5ed5081952397cb8d265f13a190
creationTime
string (date-time)

The creation time of the File.

lastModifiedTime
string (date-time)

The last modified time of the File.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.